// 预授权函数库
import apis from "../apis_moudles/index";
import req from "../request";

//患者列表无分页
const PATIENTLISTNOPAGE = (data) => {
  return req.post(apis.patientListNoPage, data);
};

//根据患者查询保司列表
const PATIENTPAYORLIST = (data) => {
  return req.post(apis.patientPayorList, data);
};

//根据患者查询保单列表
const PATIENTPOLICYLIST = (data) => {
  return req.post(apis.patientPolicyList, data);
};

//创建预授权
const AUTHORIZECREATE = function (data) {
  return req.post(apis.createAuthorize, data);
};

//预授权列表
const AUTHORIZELIST = function (data) {
  return req.post(apis.authorizeList, data);
};

//预授权详情
const AUTHORIZEDETAIL = function (data) {
  return req.post(apis.authorizeDetail, data);
};

//预授权修改
const AUTHORIZEUPDATE = function (data) {
  return req.post(apis.authorizeUpdate, data);
};

//预授权删除
const AUTHORIZEDELETE = function (data) {
  return req.post(apis.authorizeDelete, data);
};

//预授权使用列表
const AUTHORIZEUSELIST = function (data) {
  return req.post(apis.authorizeUseList, data);
};

//新增预授权使用
const AUTHORIZEUSEADD = function (data) {
  return req.post(apis.authorizeUseAdd, data);
};

//预授权邮件
const AUTHORIZESENDEMAIL = function (data) {
  return req.post(apis.authorizeSendEmail, data);
};

// 对象数组
export default {
  PATIENTLISTNOPAGE,
  PATIENTPAYORLIST,
  PATIENTPOLICYLIST,
  AUTHORIZECREATE,
  AUTHORIZELIST,
  AUTHORIZEDETAIL,
  AUTHORIZEUPDATE,
  AUTHORIZEDELETE,
  AUTHORIZEUSELIST,
  AUTHORIZEUSEADD,
  AUTHORIZESENDEMAIL,
};
